> For the complete documentation index, see [llms.txt](https://developer.vario-software.de/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.vario-software.de/api-reference/open-item-closure.md).

# Open Item Closure

Use the VARIO Cloud API to calculate, close, and reopen open items, including refunds, booking details, and delivery approval.

Open items - manual closing.

## POST /erp/finance/openitems/closure/{openItemId}/reopen

> Reopens a manually closed open item.

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"OpenItemClosure","description":"Open items - manual closing."}],"servers":[{"url":"api.example.com"}],"paths":{"/erp/finance/openitems/closure/{openItemId}/reopen":{"post":{"tags":["OpenItemClosure"],"description":"Reopens a manually closed open item.","operationId":"reopen","parameters":[{"name":"openItemId","in":"path","description":"openItem Identifier","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-finance-OpenItemReopenRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/erp-finance-OpenItem"}}}}}}}},"components":{"schemas":{"erp-finance-OpenItemReopenRequest":{"properties":{"comment":{"type":"string","description":"Comment on the reopening."},"businessTransactionRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"}}},"core-api-ApiObjectReference":{"description":"Parent category.","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Active.","readOnly":true}},"required":["id"]},"erp-finance-OpenItem":{"properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"order":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"invoice":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"creditNote":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"depositInvoice":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"account":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"number":{"type":"string","description":"Open item number.","readOnly":true},"externalNumber":{"type":"string","description":"External open item number.","readOnly":true},"externalPaymentReference":{"type":"string","description":"Payment reference from an external system","readOnly":true},"depositPaymentAmount":{"type":"number","description":"agreed Deposit payment amount","readOnly":true},"depositPaymentDate":{"type":"string","format":"date","description":"agreed Deposit payment date","readOnly":true},"depositPayed":{"type":"boolean","default":false,"description":"is the agreed deposit payed?","readOnly":true},"balancedDate":{"type":"string","format":"date","description":"balanced date of this open item (calculated)","readOnly":true},"balanceState":{"type":"string","description":"whether this open item is balanced, partially paid or open","enum":["OPEN","PARTIALLY_BALANCED","BALANCED","OVERPAID"],"readOnly":true},"balance":{"type":"number","description":"Balance.","readOnly":true},"sumPayments":{"type":"number","description":"Total of the booked payments.","readOnly":true},"sumDunnings":{"type":"number","description":"Total of the dunning fees and interest.","readOnly":true},"sumTotalAmount":{"type":"number","description":"Invoice amount.","readOnly":true},"sumDiscountableAmount":{"type":"number","description":"Invoice amount eligible for the payment discount.","readOnly":true},"sumFee":{"type":"number","description":"General fees.","readOnly":true},"records":{"type":"array","description":"free payments","items":{"$ref":"#/components/schemas/erp-finance-OpenItemRecord"},"readOnly":true},"basisPaymentTermRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"paymentMethodRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"paymentDays1":{"type":"integer","format":"int32","description":"How many days are given for using the first discount rule","readOnly":true},"paymentDiscount1":{"type":"number","description":"How much discount can be given for speedy payment, rule 1","readOnly":true},"paymentDiscount1DueDate":{"type":"string","format":"date","description":"Due date (payment discount 1).","readOnly":true},"paymentDays2":{"type":"integer","format":"int32","description":"How many days are given for using the second discount rule","readOnly":true},"paymentDiscount2":{"type":"number","description":"How much discount can be given for speedy payment, rule 2","readOnly":true},"paymentDiscount2DueDate":{"type":"string","format":"date","description":"Due date (payment discount 2).","readOnly":true},"paymentDiscountOrigin":{"type":"string","description":"Origin of the payment discount values (days and percentages).","enum":["FROM_PAYMENT_TERM","FROM_ACCOUNT","USER_DEFINED"]},"qualifier":{"type":"string","description":"Does this open item belong to accounts payable or accounts receivable","enum":["PAYABLE","RECEIVABLE"],"readOnly":true},"fullPaymentAmount":{"type":"number","description":"The full amount of the payment","readOnly":true},"paymentAmount":{"type":"number","description":"Currently valid amount to be paid.","readOnly":true},"paymentKind":{"type":"string","description":"The kind of payment","enum":["PREPAYMENT","PAYMENT"],"readOnly":true},"refundType":{"type":"string","description":"how should a refund be done?","enum":["DISBURSE","OFFSET_LATER"]},"dunningBlock":{"type":"boolean","default":false,"description":"Dunning block."},"paymentState":{"type":"string","description":"Payment state.","enum":["NO_PAYMENT","PAYMENT_CREATED","PAYMENT_TRANSFERRED","PAYMENT_COMMITTED"]},"dunningState":{"type":"string","description":"Dunning state.","enum":["IN_DUNNING","NO_DUNNING","DUNNING_PAID","DUNNING_PARTIALLY_PAID","DUNNING_OVERPAID"]},"dunningLevel":{"type":"integer","format":"int32","description":"Dunning level.","readOnly":true},"dunningCount":{"type":"integer","format":"int32","description":"Number of dunning lines or dunnings for this open item.","readOnly":true},"originalPaymentDueDate":{"type":"string","format":"date","description":"Original due date.","readOnly":true},"paymentDaysNet":{"type":"integer","format":"int32","description":"Due period in days."},"paymentDueDate":{"type":"string","format":"date","description":"Due date."},"valueDate":{"type":"string","format":"date","description":"Value date."},"paymentDiscount1Amount":{"type":"number","description":"Payment discount amount 1."},"paymentDiscount2Amount":{"type":"number","description":"Payment discount amount 2."},"paymentTemplateRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"purpose":{"type":"string","description":"Payment purpose."},"comment":{"type":"string","description":"Comment."},"paymentBlock":{"type":"boolean","default":false,"description":"Payment block."},"tags":{"type":"array","description":"List of tags","items":{"$ref":"#/components/schemas/common-tag-TagDto"}},"paymentPlan":{"$ref":"#/components/schemas/erp-finance-OpenItemPaymentPlan"},"valueDateReadOnly":{"type":"boolean","default":false,"description":"Value date, read-only."},"canBeReopened":{"type":"boolean","default":false,"description":"Can this open item be reopened?"},"currencyCode":{"type":"string","description":"Open item currency (ISO-A3)."},"exchangeRate":{"type":"number","description":"Currency exchange rate against the base currency."},"baseCurrencyCode":{"type":"string","description":"Open item base currency (ISO-A3)."},"baseDepositPaymentAmount":{"type":"number","description":"Agreed deposit amount in base currency."},"baseSumPayments":{"type":"number","description":"Total of the payments in base currency."},"baseSumDiscount":{"type":"number","description":"Total of the deductions (payment discount etc.) in base currency."},"baseSumDunnings":{"type":"number","description":"Total of the dunning fees and interest in base currency."},"baseSumTotalAmount":{"type":"number","description":"Total sum of the invoice amounts in base currency."},"baseSumDiscountableAmount":{"type":"number","description":"Total of the invoice amounts eligible for the payment discount in base currency."},"baseBalance":{"type":"number","description":"Open amount (balance) in base currency."},"baseSumFee":{"type":"number","description":"General fees in base currency."},"blockedByDocument":{"type":"boolean","default":false,"description":"Is the open item blocked by a document?"},"bookingAccountType":{"type":"string","description":"Booking to a supplier or a customer for manual open items.","enum":["CUSTOMER","SUPPLIER"],"readOnly":true},"taxPerformanceLocation":{"type":"string","description":"Performance tax situation (settable externally when no document is present).","enum":["DOMESTIC","EUROPEAN_COMMUNITY","INTERNATIONAL"]},"taxState":{"type":"string","description":"Tax state (settable externally when no document is present).","enum":["TAX_FREE","TAX_ABLE"]},"performanceCountryCode":{"type":"string","description":"Country code of the performance country (ISO Alpha-3, settable externally when no document is present)."},"sourceCountryCode":{"type":"string","description":"Country code of the country of origin (ISO Alpha-3, settable externally when no document is present)."},"taxRateRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"performanceDate":{"type":"string","format":"date","description":"Performance date (settable externally when no document is present)."},"balanced":{"type":"boolean"}},"required":["number"]},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"erp-finance-OpenItemRecord":{"description":"free payments","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"recordDate":{"type":"string","format":"date","description":"record date","readOnly":true},"totalAmount":{"type":"number","description":"record total amount","readOnly":true},"discountableAmount":{"type":"number","description":"record discountable amount","readOnly":true},"amount":{"type":"number","description":"record amount","readOnly":true},"discountAmount":{"type":"number","description":"record discount amount","readOnly":true},"bookingRecordId":{"type":"integer","format":"int64","description":"ref to the financialBookingRecord","readOnly":true},"origin":{"type":"string","description":"origin for this record","enum":["DOCUMENT","PAYMENT","PAYMENT_DISSOLVED","REIMBURSEMENT","REIMBURSEMENT_DISSOLVED","MANUAL_CLOSURE","MANUAL_REOPENING","DUNNING","DUNNING_DISSOLVED","DUNNING_INTEREST_REVERSAL","IMPORT","PAYMENT_PLAN","PAYMENT_PLAN_ENTRY","PAYMENT_IMPORT","IMPORT_DUNNING","CLEARING","CLEARING_DISSOLVED","DEPOSIT","CREDIT_NOTE","BALANCE_ADJUSTMENT","FEE","DUNNING_PAYMENT","DUNNING_PAYMENT_DISSOLVED","POS_PAYMENT","VOUCHER_PAYMENT","VOUCHER_PAYMENT_DISSOLVED"],"readOnly":true},"document":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"paymentMethod":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"accountBankdetailsRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"transactionRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"bankAccountRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"businessTransaction":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"revertedByRecordId":{"type":"integer","format":"int64","description":"Identifier of the record that cancelled this one.","readOnly":true},"transactionId":{"type":"integer","format":"int64","description":"Identifier of the transaction that caused this record.","readOnly":true},"qualifier":{"type":"string","description":"qualifier of open item","enum":["PAYABLE","RECEIVABLE","PAYMENT_RECEIVED","PAYMENT_SENT","PAYMENT_RECEIVED_REVERTED","PAYMENT_SENT_REVERTED","DUNNING_RECEIVABLE","DUNNING_PAYABLE","DUNNING_RECEIVABLE_REVERTED","DUNNING_PAYABLE_REVERTED"],"readOnly":true},"bookingType":{"type":"string","description":"Booking type of the open item record (derived from the origin and the booking type).","enum":["PAYABLE","RECEIVABLE","PAYMENT_PAYABLE","PAYMENT_RECEIVABLE","PAYMENT_PAYABLE_DISSOLVED","PAYMENT_RECEIVABLE_DISSOLVED","DUNNING_PAYABLE","DUNNING_RECEIVABLE","DUNNING_PAYABLE_DISSOLVED","DUNNING_RECEIVABLE_DISSOLVED"],"readOnly":true},"number":{"type":"string","description":"Process number that led to the booking.","readOnly":true},"comment":{"type":"string","description":"comment","readOnly":true},"locked":{"type":"boolean","description":"locked","readOnly":true},"revertable":{"type":"boolean","description":"revertable","readOnly":true},"recordReferenceNumber":{"type":"string","description":"record reference number","readOnly":true},"dunningLvl":{"type":"integer","format":"int32","description":"Dunning level.","readOnly":true},"currencyCode":{"type":"string","description":"Open item currency (ISO-A3)."},"exchangeRate":{"type":"number","description":"Currency exchange rate against the base currency."},"baseCurrencyCode":{"type":"string","description":"Open item base currency (ISO-A3)."},"baseAmount":{"type":"number","description":"Booking amount in base currency."},"baseDiscountAmount":{"type":"number","description":"Deduction amount in base currency."},"baseTotalAmount":{"type":"number","description":"Total amount in base currency."},"baseDiscountableAmount":{"type":"number","description":"Total amount eligible for the payment discount in base currency."},"baseDunningFee":{"type":"number","description":"Dunning fees in base currency."},"baseDunningInterest":{"type":"number","description":"Dunning interest in base currency."}}},"common-tag-TagDto":{"description":"List of tags","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"type":{"type":"string","description":"Tag types.","enum":["COMMON","ACCOUNT","PRODUCT","ASSET","DOCUMENT","OPEN_ITEM","CRM_COMMON","CRM_TASK","CRM_DEAL","CRM_PROJECT","DMS_SHELF_DOCUMENT"]},"label":{"type":"string","description":"Tag label."},"color":{"type":"string","description":"Color for displaying the tag."},"editColor":{"type":"string","description":"Color in the management UI."},"searchColor":{"type":"string","description":"Color in the search UI."},"tagGroup":{"$ref":"#/components/schemas/core-api-ApiCreatableReference"}},"required":["label","type"]},"core-api-ApiCreatableReference":{"description":"Relation type","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label"},"description":{"type":"string","description":"a short description","readOnly":true}}},"erp-finance-OpenItemPaymentPlan":{"description":"Payment plan.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"paymentPlanType":{"type":"string","description":"Payment plan type.","enum":["RULE","MANUAL"]},"dueDateCalculation":{"type":"string","description":"Due date rule."},"amount":{"type":"number","description":"Amount."},"startDate":{"type":"string","format":"date","description":"Start date."},"endDate":{"type":"string","format":"date","description":"End date."},"description":{"type":"string","description":"Description."},"active":{"type":"boolean","description":"Active."},"dueDate":{"type":"string","format":"date","description":"Due date."},"manualRuleEntries":{"type":"array","description":"Manual booking presets.","items":{"$ref":"#/components/schemas/erp-finance-PaymentPlanManualRule"}},"currencyCode":{"type":"string","description":"Payment plan currency (ISO-A3)."},"exchangeRate":{"type":"number","description":"Currency exchange rate against the base currency."},"baseCurrencyCode":{"type":"string","description":"Payment plan base currency (ISO-A3)."},"baseAmount":{"type":"number","description":"Amount in base currency."}}},"erp-finance-PaymentPlanManualRule":{"description":"Manual booking presets.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"dueDate":{"type":"string","format":"date","description":"Due date."},"amount":{"type":"number","description":"Amount."},"processed":{"type":"boolean","description":"Already processed.","readOnly":true},"currencyCode":{"type":"string","description":"Currency (ISO-A3)."},"exchangeRate":{"type":"number","description":"Currency exchange rate against the base currency."},"baseCurrencyCode":{"type":"string","description":"Base currency (ISO-A3)."},"baseAmount":{"type":"number","description":"Amount in base currency."}}}}}}
```

## POST /erp/finance/openitems/closure/{openItemId}/close

> Closes an open item.

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"OpenItemClosure","description":"Open items - manual closing."}],"servers":[{"url":"api.example.com"}],"paths":{"/erp/finance/openitems/closure/{openItemId}/close":{"post":{"tags":["OpenItemClosure"],"description":"Closes an open item.","operationId":"close","parameters":[{"name":"openItemId","in":"path","description":"openItem Identifier","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-finance-OpenItemCloseRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/erp-finance-OpenItem"}}}}}}}},"components":{"schemas":{"erp-finance-OpenItemCloseRequest":{"properties":{"reimbursePayments":{"type":"boolean","description":"Refund the payments made so far."},"comment":{"type":"string","description":"Comment on the closing."},"closeableAmount":{"type":"number","description":"Amount for the closing."},"businessTransactionRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"grantDeliveryApproval":{"type":"boolean","description":"Grant the delivery release."}}},"core-api-ApiObjectReference":{"description":"Parent category.","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Active.","readOnly":true}},"required":["id"]},"erp-finance-OpenItem":{"properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"order":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"invoice":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"creditNote":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"depositInvoice":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"account":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"number":{"type":"string","description":"Open item number.","readOnly":true},"externalNumber":{"type":"string","description":"External open item number.","readOnly":true},"externalPaymentReference":{"type":"string","description":"Payment reference from an external system","readOnly":true},"depositPaymentAmount":{"type":"number","description":"agreed Deposit payment amount","readOnly":true},"depositPaymentDate":{"type":"string","format":"date","description":"agreed Deposit payment date","readOnly":true},"depositPayed":{"type":"boolean","default":false,"description":"is the agreed deposit payed?","readOnly":true},"balancedDate":{"type":"string","format":"date","description":"balanced date of this open item (calculated)","readOnly":true},"balanceState":{"type":"string","description":"whether this open item is balanced, partially paid or open","enum":["OPEN","PARTIALLY_BALANCED","BALANCED","OVERPAID"],"readOnly":true},"balance":{"type":"number","description":"Balance.","readOnly":true},"sumPayments":{"type":"number","description":"Total of the booked payments.","readOnly":true},"sumDunnings":{"type":"number","description":"Total of the dunning fees and interest.","readOnly":true},"sumTotalAmount":{"type":"number","description":"Invoice amount.","readOnly":true},"sumDiscountableAmount":{"type":"number","description":"Invoice amount eligible for the payment discount.","readOnly":true},"sumFee":{"type":"number","description":"General fees.","readOnly":true},"records":{"type":"array","description":"free payments","items":{"$ref":"#/components/schemas/erp-finance-OpenItemRecord"},"readOnly":true},"basisPaymentTermRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"paymentMethodRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"paymentDays1":{"type":"integer","format":"int32","description":"How many days are given for using the first discount rule","readOnly":true},"paymentDiscount1":{"type":"number","description":"How much discount can be given for speedy payment, rule 1","readOnly":true},"paymentDiscount1DueDate":{"type":"string","format":"date","description":"Due date (payment discount 1).","readOnly":true},"paymentDays2":{"type":"integer","format":"int32","description":"How many days are given for using the second discount rule","readOnly":true},"paymentDiscount2":{"type":"number","description":"How much discount can be given for speedy payment, rule 2","readOnly":true},"paymentDiscount2DueDate":{"type":"string","format":"date","description":"Due date (payment discount 2).","readOnly":true},"paymentDiscountOrigin":{"type":"string","description":"Origin of the payment discount values (days and percentages).","enum":["FROM_PAYMENT_TERM","FROM_ACCOUNT","USER_DEFINED"]},"qualifier":{"type":"string","description":"Does this open item belong to accounts payable or accounts receivable","enum":["PAYABLE","RECEIVABLE"],"readOnly":true},"fullPaymentAmount":{"type":"number","description":"The full amount of the payment","readOnly":true},"paymentAmount":{"type":"number","description":"Currently valid amount to be paid.","readOnly":true},"paymentKind":{"type":"string","description":"The kind of payment","enum":["PREPAYMENT","PAYMENT"],"readOnly":true},"refundType":{"type":"string","description":"how should a refund be done?","enum":["DISBURSE","OFFSET_LATER"]},"dunningBlock":{"type":"boolean","default":false,"description":"Dunning block."},"paymentState":{"type":"string","description":"Payment state.","enum":["NO_PAYMENT","PAYMENT_CREATED","PAYMENT_TRANSFERRED","PAYMENT_COMMITTED"]},"dunningState":{"type":"string","description":"Dunning state.","enum":["IN_DUNNING","NO_DUNNING","DUNNING_PAID","DUNNING_PARTIALLY_PAID","DUNNING_OVERPAID"]},"dunningLevel":{"type":"integer","format":"int32","description":"Dunning level.","readOnly":true},"dunningCount":{"type":"integer","format":"int32","description":"Number of dunning lines or dunnings for this open item.","readOnly":true},"originalPaymentDueDate":{"type":"string","format":"date","description":"Original due date.","readOnly":true},"paymentDaysNet":{"type":"integer","format":"int32","description":"Due period in days."},"paymentDueDate":{"type":"string","format":"date","description":"Due date."},"valueDate":{"type":"string","format":"date","description":"Value date."},"paymentDiscount1Amount":{"type":"number","description":"Payment discount amount 1."},"paymentDiscount2Amount":{"type":"number","description":"Payment discount amount 2."},"paymentTemplateRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"purpose":{"type":"string","description":"Payment purpose."},"comment":{"type":"string","description":"Comment."},"paymentBlock":{"type":"boolean","default":false,"description":"Payment block."},"tags":{"type":"array","description":"List of tags","items":{"$ref":"#/components/schemas/common-tag-TagDto"}},"paymentPlan":{"$ref":"#/components/schemas/erp-finance-OpenItemPaymentPlan"},"valueDateReadOnly":{"type":"boolean","default":false,"description":"Value date, read-only."},"canBeReopened":{"type":"boolean","default":false,"description":"Can this open item be reopened?"},"currencyCode":{"type":"string","description":"Open item currency (ISO-A3)."},"exchangeRate":{"type":"number","description":"Currency exchange rate against the base currency."},"baseCurrencyCode":{"type":"string","description":"Open item base currency (ISO-A3)."},"baseDepositPaymentAmount":{"type":"number","description":"Agreed deposit amount in base currency."},"baseSumPayments":{"type":"number","description":"Total of the payments in base currency."},"baseSumDiscount":{"type":"number","description":"Total of the deductions (payment discount etc.) in base currency."},"baseSumDunnings":{"type":"number","description":"Total of the dunning fees and interest in base currency."},"baseSumTotalAmount":{"type":"number","description":"Total sum of the invoice amounts in base currency."},"baseSumDiscountableAmount":{"type":"number","description":"Total of the invoice amounts eligible for the payment discount in base currency."},"baseBalance":{"type":"number","description":"Open amount (balance) in base currency."},"baseSumFee":{"type":"number","description":"General fees in base currency."},"blockedByDocument":{"type":"boolean","default":false,"description":"Is the open item blocked by a document?"},"bookingAccountType":{"type":"string","description":"Booking to a supplier or a customer for manual open items.","enum":["CUSTOMER","SUPPLIER"],"readOnly":true},"taxPerformanceLocation":{"type":"string","description":"Performance tax situation (settable externally when no document is present).","enum":["DOMESTIC","EUROPEAN_COMMUNITY","INTERNATIONAL"]},"taxState":{"type":"string","description":"Tax state (settable externally when no document is present).","enum":["TAX_FREE","TAX_ABLE"]},"performanceCountryCode":{"type":"string","description":"Country code of the performance country (ISO Alpha-3, settable externally when no document is present)."},"sourceCountryCode":{"type":"string","description":"Country code of the country of origin (ISO Alpha-3, settable externally when no document is present)."},"taxRateRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"performanceDate":{"type":"string","format":"date","description":"Performance date (settable externally when no document is present)."},"balanced":{"type":"boolean"}},"required":["number"]},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"erp-finance-OpenItemRecord":{"description":"free payments","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"recordDate":{"type":"string","format":"date","description":"record date","readOnly":true},"totalAmount":{"type":"number","description":"record total amount","readOnly":true},"discountableAmount":{"type":"number","description":"record discountable amount","readOnly":true},"amount":{"type":"number","description":"record amount","readOnly":true},"discountAmount":{"type":"number","description":"record discount amount","readOnly":true},"bookingRecordId":{"type":"integer","format":"int64","description":"ref to the financialBookingRecord","readOnly":true},"origin":{"type":"string","description":"origin for this record","enum":["DOCUMENT","PAYMENT","PAYMENT_DISSOLVED","REIMBURSEMENT","REIMBURSEMENT_DISSOLVED","MANUAL_CLOSURE","MANUAL_REOPENING","DUNNING","DUNNING_DISSOLVED","DUNNING_INTEREST_REVERSAL","IMPORT","PAYMENT_PLAN","PAYMENT_PLAN_ENTRY","PAYMENT_IMPORT","IMPORT_DUNNING","CLEARING","CLEARING_DISSOLVED","DEPOSIT","CREDIT_NOTE","BALANCE_ADJUSTMENT","FEE","DUNNING_PAYMENT","DUNNING_PAYMENT_DISSOLVED","POS_PAYMENT","VOUCHER_PAYMENT","VOUCHER_PAYMENT_DISSOLVED"],"readOnly":true},"document":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"paymentMethod":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"accountBankdetailsRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"transactionRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"bankAccountRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"businessTransaction":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"revertedByRecordId":{"type":"integer","format":"int64","description":"Identifier of the record that cancelled this one.","readOnly":true},"transactionId":{"type":"integer","format":"int64","description":"Identifier of the transaction that caused this record.","readOnly":true},"qualifier":{"type":"string","description":"qualifier of open item","enum":["PAYABLE","RECEIVABLE","PAYMENT_RECEIVED","PAYMENT_SENT","PAYMENT_RECEIVED_REVERTED","PAYMENT_SENT_REVERTED","DUNNING_RECEIVABLE","DUNNING_PAYABLE","DUNNING_RECEIVABLE_REVERTED","DUNNING_PAYABLE_REVERTED"],"readOnly":true},"bookingType":{"type":"string","description":"Booking type of the open item record (derived from the origin and the booking type).","enum":["PAYABLE","RECEIVABLE","PAYMENT_PAYABLE","PAYMENT_RECEIVABLE","PAYMENT_PAYABLE_DISSOLVED","PAYMENT_RECEIVABLE_DISSOLVED","DUNNING_PAYABLE","DUNNING_RECEIVABLE","DUNNING_PAYABLE_DISSOLVED","DUNNING_RECEIVABLE_DISSOLVED"],"readOnly":true},"number":{"type":"string","description":"Process number that led to the booking.","readOnly":true},"comment":{"type":"string","description":"comment","readOnly":true},"locked":{"type":"boolean","description":"locked","readOnly":true},"revertable":{"type":"boolean","description":"revertable","readOnly":true},"recordReferenceNumber":{"type":"string","description":"record reference number","readOnly":true},"dunningLvl":{"type":"integer","format":"int32","description":"Dunning level.","readOnly":true},"currencyCode":{"type":"string","description":"Open item currency (ISO-A3)."},"exchangeRate":{"type":"number","description":"Currency exchange rate against the base currency."},"baseCurrencyCode":{"type":"string","description":"Open item base currency (ISO-A3)."},"baseAmount":{"type":"number","description":"Booking amount in base currency."},"baseDiscountAmount":{"type":"number","description":"Deduction amount in base currency."},"baseTotalAmount":{"type":"number","description":"Total amount in base currency."},"baseDiscountableAmount":{"type":"number","description":"Total amount eligible for the payment discount in base currency."},"baseDunningFee":{"type":"number","description":"Dunning fees in base currency."},"baseDunningInterest":{"type":"number","description":"Dunning interest in base currency."}}},"common-tag-TagDto":{"description":"List of tags","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"type":{"type":"string","description":"Tag types.","enum":["COMMON","ACCOUNT","PRODUCT","ASSET","DOCUMENT","OPEN_ITEM","CRM_COMMON","CRM_TASK","CRM_DEAL","CRM_PROJECT","DMS_SHELF_DOCUMENT"]},"label":{"type":"string","description":"Tag label."},"color":{"type":"string","description":"Color for displaying the tag."},"editColor":{"type":"string","description":"Color in the management UI."},"searchColor":{"type":"string","description":"Color in the search UI."},"tagGroup":{"$ref":"#/components/schemas/core-api-ApiCreatableReference"}},"required":["label","type"]},"core-api-ApiCreatableReference":{"description":"Relation type","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label"},"description":{"type":"string","description":"a short description","readOnly":true}}},"erp-finance-OpenItemPaymentPlan":{"description":"Payment plan.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"paymentPlanType":{"type":"string","description":"Payment plan type.","enum":["RULE","MANUAL"]},"dueDateCalculation":{"type":"string","description":"Due date rule."},"amount":{"type":"number","description":"Amount."},"startDate":{"type":"string","format":"date","description":"Start date."},"endDate":{"type":"string","format":"date","description":"End date."},"description":{"type":"string","description":"Description."},"active":{"type":"boolean","description":"Active."},"dueDate":{"type":"string","format":"date","description":"Due date."},"manualRuleEntries":{"type":"array","description":"Manual booking presets.","items":{"$ref":"#/components/schemas/erp-finance-PaymentPlanManualRule"}},"currencyCode":{"type":"string","description":"Payment plan currency (ISO-A3)."},"exchangeRate":{"type":"number","description":"Currency exchange rate against the base currency."},"baseCurrencyCode":{"type":"string","description":"Payment plan base currency (ISO-A3)."},"baseAmount":{"type":"number","description":"Amount in base currency."}}},"erp-finance-PaymentPlanManualRule":{"description":"Manual booking presets.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"dueDate":{"type":"string","format":"date","description":"Due date."},"amount":{"type":"number","description":"Amount."},"processed":{"type":"boolean","description":"Already processed.","readOnly":true},"currencyCode":{"type":"string","description":"Currency (ISO-A3)."},"exchangeRate":{"type":"number","description":"Currency exchange rate against the base currency."},"baseCurrencyCode":{"type":"string","description":"Base currency (ISO-A3)."},"baseAmount":{"type":"number","description":"Amount in base currency."}}}}}}
```

## POST /erp/finance/openitems/closure/{openItemId}/calculate

> Calculates the closing booking distribution.

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"OpenItemClosure","description":"Open items - manual closing."}],"servers":[{"url":"api.example.com"}],"paths":{"/erp/finance/openitems/closure/{openItemId}/calculate":{"post":{"tags":["OpenItemClosure"],"description":"Calculates the closing booking distribution.","operationId":"calculateCloseableAmounts","parameters":[{"name":"openItemId","in":"path","description":"openItem Identifier","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-finance-OpenItemCloseRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/erp-finance-OpenItemCloseableAmounts"}}}}}}}},"components":{"schemas":{"erp-finance-OpenItemCloseRequest":{"properties":{"reimbursePayments":{"type":"boolean","description":"Refund the payments made so far."},"comment":{"type":"string","description":"Comment on the closing."},"closeableAmount":{"type":"number","description":"Amount for the closing."},"businessTransactionRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"grantDeliveryApproval":{"type":"boolean","description":"Grant the delivery release."}}},"core-api-ApiObjectReference":{"description":"Parent category.","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Active.","readOnly":true}},"required":["id"]},"erp-finance-OpenItemCloseableAmounts":{"properties":{"reimbursableAmount":{"type":"number","description":"Amount to be refunded."},"cancellationDunningAmount":{"type":"number","description":"Dunning amounts to be reversed."},"closeableAmount":{"type":"number","description":"Amount to close."}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://developer.vario-software.de/api-reference/open-item-closure.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
